%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:			os-net-config
Version:		5.2.2
Release:		1%{?dist}
Summary:		Host network configuration tool

License:		ASL 2.0
URL:			http://pypi.python.org/pypi/%{name}
Source0:		https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=5.2.2
#

BuildArch:	noarch
BuildRequires:	python-setuptools
BuildRequires:	python2-devel
BuildRequires:	python-pbr
BuildRequires:	python-sphinx
BuildRequires:	python-oslo-sphinx

Requires:	python-setuptools
Requires:	python-anyjson
Requires:	python-babel
Requires:	python-eventlet
Requires:	python-oslo-concurrency
Requires:	python-oslo-config
Requires:	python-oslo-utils
Requires:	python-netaddr
Requires:	python-iso8601
Requires:	python-six >= 1.5.0
Requires:	initscripts
Requires:	PyYAML
Requires:	python-pbr

%description
Host network configuration tool for OpenStack.

%prep

%setup -q -n %{name}-%{upstream_version}

%build
%{__python} setup.py build
%{__python} setup.py build_sphinx

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%files
%doc README.rst
%doc LICENSE
%doc doc/build/html
%{_bindir}/os-net-config
%{python_sitelib}/os_net_config*


%changelog
* Mon Jan 15 2018 Steve Linabery <slinaber@redhat.com> 5.2.2-1
- Update to 5.2.2

* Fri Sep 01 2017 Steve Linabery <slinaber@redhat.com> 5.2.0-4
- Use os-net-config mapping file when interface in bond or bridge
- Fix --noop being ignored for dhclient execution

* Mon Aug 07 2017 Steve Linabery <slinaber@redhat.com> 5.2.0-3
- Add support for ethtool_opts option

* Mon May 22 2017 Jason Joyce <jjoyce@redhat.com> 5.2.0-1
- Update to 5.2.0
- os_net_config should map nics that are down if nic is in mapping file

* Fri Mar 17 2017 Brent Eagles <beagles@redhat.com> 5.1.0-3.el7
- Add support for enabling hotplug on interfaces (rhbz#1392585)
- Allow setting NM_CONTROLLED=yes in os-net-config ifcfg files (rhbz#1392585)

* Wed Mar 08 2017 Saravanan KR <skramaja@redhat.com> 5.1.0-2
- Restart Openvswitch after adding DPDK ports (rhbz#1428014)
- Network service is failing with DPDK (rhbz#1428013)

* Mon Feb 13 2017 Jon Schlueter <jschluet@redhat.com> 5.1.0-1
- Update to 5.1.0 (rhbz#1421844)

* Tue Feb 07 2017 Sanjay Upadhyay <supadhya@redhat.com> 5.0.0-6
- Exclude SR-IOV VFs in the nic numbering (rhbz#1416070)
- Remove child members activation for OVS-DPDK bond (rhbz#1396605)

* Fri Nov 18 2016 Jon Schlueter <jschluet@redhat.com> 5.0.0-5
- Stop dhclient in os-net-config if interface not set for DHCP (rhbz#1382653)

* Thu Nov 17 2016 Jon Schlueter <jschluet@redhat.com> 5.0.0-4
- add back in missing Requires python-pbr

* Wed Nov 16 2016 Jon Schlueter <jschluet@redhat.com> 5.0.0-3
- finish removing pbr removal workaround

* Wed Nov 16 2016 Mike Burns <mburns@redhat.com> 5.0.0-2
- Add ovs_fail_mode option for OVS bridges

* Thu Oct 06 2016 Haikel Guemar <hguemar@fedoraproject.org> 5.0.0-1
- Update to 5.0.0

* Fri Sep 30 2016 Alfredo Moralejo <amoralej@redhat.com> 5.0.0-0.2.0rc2
- Update to 5.0.0.0rc2

* Wed Sep 14 2016 Haikel Guemar <hguemar@fedoraproject.org> 5.0.0-0.1.0b3
- Update to 5.0.0.0b3

